# Antimicrobial Abbreviations

In ResFinder results where antimicrobial abbreviations are used, it will use the [EUCAST System for Antimicrobial Abbreviations](https://www.eucast.org/fileadmin/src/media/PDFs/EUCAST_files/Disk_test_documents/Disk_abbreviations/EUCAST_system_for_antimicrobial_abbreviations.pdf).

## Abbreviations

| Antimicrobial                 | Abbreviation |
|-------------------------------|--------------|
| Amikacin                      | AMI          |
| Amoxicillin                   | AMO          |
| Amoxicillin-clavulanate       | AMC          |
| Ampicillin                    | AMP          |
| Ampicillin-sulbactam          | AMS          |
| Avibactam                     | AVI          |
| Azithromycin                  | AZI          |
| Aztreonam                     | AZT          |
| Benzylpenicillin              | BEN          |
| Cefaclor                      | CCL          |
| Cefadroxil                    | CDR          |
| Cefalexin                     | CLE          |
| Cefazolin                     | CZO          |
| Cefepime                      | CEP          |
| Cefixime                      | CIX          |
| Cefotaxime                    | CTA          |
| Cefoxitin                     | CXI          |
| Cefpodoxime                   | CPO          |
| Ceftaroline                   | CTL          |
| Ceftazidime                   | CTZ          |
| Ceftazidime-avibactam         | CTV          |
| Ceftibuten                    | CTI          |
| Ceftiofur                     | CTF          |
| Ceftobiprole                  | CTO          |
| Ceftolozane-tazobactam        | CTT          |
| Ceftriaxone                   | CTR          |
| Cefuroxime                    | CUR          |
| Chloramphenicol               | CHL          |
| Ciprofloxacin                 | CIP          |
| Clarithromycin                | CLA          |
| Clavulanic acid               | CLV          |
| Clindamycin                   | CLI          |
| Cloxacillin                   | CLO          |
| Colistin                      | COL          |
| Dalbavancin                   | DAL          |
| Daptomycin                    | DAP          |
| Dicloxacillin                 | DIC          |
| Difloxacin                    | DIF          |
| Doripenem                     | DOR          |
| Doxycyline                    | DOX          |
| Enrofloxacin                  | ENR          |
| Ertapenem                     | ERT          |
| Erythromycin                  | ERY          |
| Florfenicol                   | FLO          |
| Flucloxacillin                | FLU          |
| Fosfomycin                    | FOS          |
| Fusidic acid                  | FUS          |
| Gamithromycin                 | GAM          |
| Gentamicin                    | GEN          |
| Gepotidacin                   | GEP          |
| Imipenem                      | IMI          |
| Kanamycin                     | KAN          |
| Levofloxacin                  | LEV          |
| Linezolid                     | LIN          |
| Marbofloxacin                 | MAR          |
| Mecillinam                    | MEC          |
| Meropenem                     | MER          |
| Methicillin                   | MEH          |
| Metronidazole                 | MET          |
| Minocycline                   | MIN          |
| Moxifloxacin                  | MOX          |
| Mupirocin                     | MUP          |
| Nalidixic acid                | NAL          |
| Netilmicin                    | NET          |
| Nitrofurantoin                | NIT          |
| Norfloxacin                   | NOR          |
| Novobiocin                    | NOV          |
| Ofloxacin                     | OFL          |
| Orbifloxacin                  | ORB          |
| Oritavancin                   | ORI          |
| Oxacillin                     | OXA          |
| Oxytetracycline               | OXY          |
| Pefloxacin                    | PEF          |
| Phenethicillin                | PHN          |
| Phenoxymethypenicillin        | PHE          |
| Pipemidic acid                | PIE          |
| Piperacillin                  | PIP          |
| Piperacillin-tazobactam       | PIT          |
| Pirlimycin                    | PIR          |
| Pradofloxacin                 | PRA          |
| Quinupristin-dalfopristin     | QUD          |
| Relabactam                    | REL          |
| Retapamulin                   | RET          |
| Rifampicin                    | RIF          |
| Roxithromycin                 | ROX          |
| Spectinomycin                 | SPE          |
| Spectinomycin                 | SPE          |
| Streptomycin                  | STR          |
| Streptomycin                  | STR          |
| Sulbactam                     | SUL          |
| Sulbactam                     | SUL          |
| Sulfamethoxazole              | SME          |
| Sulfamethoxazole              | SME          |
| Sulfathiazole                 | STH          |
| Sulfathiazole                 | STH          |
| Sulfisoxazole                 | SIS          |
| Sulfisoxazole                 | SIS          |
| Tazobactam                    | TAZ          |
| Tazobactam                    | TAZ          |
| Tedizolid                     | TED          |
| Tedizolid                     | TED          |
| Teicoplanin                   | TEI          |
| Teicoplanin                   | TEI          |
| Telavancin                    | TEL          |
| Telavancin                    | TEL          |
| Telithromycin                 | TEH          |
| Telithromycin                 | TEH          |
| Tetracycline                  | TET          |
| Tetracycline                  | TET          |
| Tiamulin                      | TIA          |
| Tiamulin                      | TIA          |
| Ticarcillin                   | TIC          |
| Ticarcillin-clavulanate       | TIL          |
| Tigecycline                   | TIG          |
| Tildipirosin                  | TID          |
| Tilmicosin                    | TIM          |
| Tobramycin                    | TOB          |
| Trimethoprim                  | TRI          |
| Trimethoprim-sulfamethoxazole | TRS          |
| Tulathromycin                 | TUL          |
| Vaborbactam                   | VAB          |
| Valnemulin                    | VAL          |
| Vancomycin                    | VAN          |
